<!DOCTYPE html>
<html lang="en">
    
<head>

    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Licencia de conducir</title>

</head>
<body>

    <form id ='licencia'>

        <label for="Nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre">

        <br><br>

        <label for="apellido">Apellido</label>
        <input type="text" name="apellido" id="apellido">

        <br><br>
        
        <label for="edad">Edad</label>
        <input type="number" name="edad" id="edad" min="0">

        <br><br>

        <label for="licencia1">¿Tienes Licencia?</label>
        <select name="licencia1" id="licencia1">
            <option value="si">Si</option>
            <option value="no">No</option>
        </select>

        <br><br>

            <label for="venc">Fecha de vencimiento</label>
            <input type="date" name="venc" id="venc">

        <br><br>

        <button id="Verificar" type="submit">Verificar</button>

    </form>

    <script>

            document.getElementById('licencia').addEventListener('submit', (e) => {
            e.preventDefault();

            var nombre = document.getElementById('nombre').value;
            var apellido = document.getElementById('apellido').value;
            var edad = parseInt(document.getElementById('edad').value)
            var licencia1 = document.getElementById('licencia1').value;
            var venc = Date.parse(document.getElementById('venc').value)
            var fechaActual = new Date().getTime();

        console.log(`Señor o señora ${nombre} ${apellido} hola`);

        if ((nombre == "") || (apellido == "") || (edad == "") || (licencia1 == "") || (venc == "")){
            console.log("Debe llenar todos los datos");

        } if ((edad >= 18) && (licencia1 === 'si') && (venc <= fechaActual))
        {
            console.log(`Señor o señora ${nombre} ${apellido} esta habilitado para conducir`);
        } else
        console.log(`Señor o señora ${nombre} ${apellido} NO esta habilitado para conducir`);
        
        });
            
    </script>
    
</body>

</html>